import { SetupPiHoleOptions } from 'types';
export declare class SetupPiHole {
    private readonly options;
    private _instanceId?;
    private _localHostName?;
    private _localIpv4?;
    constructor(options: SetupPiHoleOptions);
    runSetup(): Promise<void>;
    private obtainEc2InstanceMetadata;
    private configureResolvConf;
    private createPiHoleConfig;
    private modifyHosts;
    private installPiHole;
    private installUnbound;
    private runTests;
    private useUnbound;
    private installTools;
    private escapeRegExp;
    get instanceId(): string | undefined;
    set instanceId(value: string | undefined);
    get localHostName(): string | undefined;
    set localHostName(value: string | undefined);
    get localIpv4(): string | undefined;
    set localIpv4(value: string | undefined);
}
//# sourceMappingURL=pihole-unattended-install.d.ts.map